QwtPowerTransform(3)

NAME
QwtPowerTransform - A transformation using pow()

SYNOPSIS

#include <qwt_transform.h>

Inherits QwtTransform.

  Public Member Functions
QwtPowerTransform (double exponent)
virtual ~QwtPowerTransform ()
Destructor.
virtual double transform (double value) const override
virtual double invTransform (double value) const override
virtual QwtTransform * copy () const override

Detailed Description

A transformation using pow() QwtPowerTransform preserves the sign of a value. F.e. a transformation with a factor of 2 transforms a value of -3 to -9 and v.v. Thus QwtPowerTransform can be used for scales including negative values.

Definition at line 125 of file qwt_transform.h.

Constructor & Destructor Documentation

  QwtPowerTransform::QwtPowerTransform (double exponent) [explicit]
Constructor

Parameters
    exponent Exponent

Definition at line 121 of file qwt_transform.cpp.

Member Function Documentation

  QwtTransform * QwtPowerTransform::copy () const [override], [virtual]

Returns
    Clone of the transformation

Implements QwtTransform.

Definition at line 158 of file qwt_transform.cpp.

  double QwtPowerTransform::invTransform (double value) const [override], [virtual]

Parameters
    value Value to be transformed

Returns
    Inverse exponentiation preserving the sign

Implements QwtTransform.

Definition at line 149 of file qwt_transform.cpp.

  double QwtPowerTransform::transform (double value) const [override], [virtual]

Parameters
    value Value to be transformed

Returns
    Exponentiation preserving the sign

Implements QwtTransform.

Definition at line 136 of file qwt_transform.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.